Skip to main content
PUT
/
api
/
v1
/
notifications
/
preferences
Update Preferences
curl --request PUT \
  --url https://api.example.com/api/v1/notifications/preferences \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "email_enabled": true,
  "personal_email": "jsmith@example.com",
  "whatsapp_enabled": false,
  "whatsapp_number": "<string>",
  "notify_on_reply": true,
  "notify_on_bounce": false,
  "notify_on_complaint": false
}
'
{
  "email_enabled": true,
  "whatsapp_enabled": true,
  "notify_on_reply": true,
  "notify_on_bounce": true,
  "notify_on_complaint": true,
  "personal_email": "<string>",
  "whatsapp_number": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://bavlio.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
email_enabled
boolean
default:true
personal_email
string<email> | null
whatsapp_enabled
boolean
default:false
whatsapp_number
string | null
notify_on_reply
boolean
default:true
notify_on_bounce
boolean
default:false
notify_on_complaint
boolean
default:false

Response

Successful Response

email_enabled
boolean
required
whatsapp_enabled
boolean
required
notify_on_reply
boolean
required
notify_on_bounce
boolean
required
notify_on_complaint
boolean
required
personal_email
string | null
whatsapp_number
string | null